<?php
namespace Mirasvit\Brand\Controller\Router;

/**
 * Interceptor class for @see \Mirasvit\Brand\Controller\Router
 */
class Interceptor extends \Mirasvit\Brand\Controller\Router implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Brand\Service\BrandUrlService $urlService, \Magento\Framework\App\ActionFactory $actionFactory, \Magento\Framework\App\ResponseInterface $response, \Mirasvit\Brand\Model\Config\Config $config)
    {
        $this->___init();
        parent::__construct($urlService, $actionFactory, $response, $config);
    }

    /**
     * {@inheritdoc}
     */
    public function match(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'match');
        return $pluginInfo ? $this->___callPlugins('match', func_get_args(), $pluginInfo) : parent::match($request);
    }
}
